Subject: Re: bug#13723: 24.2.93; Fringe icons corrupt buffer separator line

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Feb 2013 21:23:25 +0200

> From: David Engster <[email-masked]>
> Date: Fri, 15 Feb 2013 18:45:20 +0100
> 
> Maybe a small thing, but nonetheless irritating: I noticed that when
> scrolling buffers on a split frame with disabled scrollbars, the small
> line separating two buffers can get corrupted by icons in the fringe. It
> seems that this line doesn't get redrawn correctly, or maybe not at all.

It does get redrawn, see x_draw_vertical_border.

> You should be able to reproduce this issue with the following recipe:
> 
> * emacs -Q
> 
> * In the *scratch* buffer, insert
> 
> (progn
>   (scroll-bar-mode -1)
>   (setq truncate-partial-width-windows nil)
>   (toggle-truncate-lines -1)
>   (with-current-buffer (get-buffer-create "test")
>     (erase-buffer)
>     (dotimes (i 100)
>       (insert (make-string 500 65) "\n")))
>   (pop-to-buffer-same-window "test")
>   (goto-char (point-max))
>   (split-window-right)
>   (other-window 1)
>   (split-window-right)
>   (pop-to-buffer-same-window "test")
>   (goto-char (point-min))
>   (while (not (eobp))
>     (scroll-up-command)
>     (redisplay t)))
> 
> and evaluate.
> 
> * The separator line between the first and the second buffer should now
>   have gaps. Here's a screenshot:
> 
>   http://www.randomsample.de/emacs-bug.jpg

Unfortunately, I cannot reproduce this here, neither with stock Emacs
24.2 nor with the current trunk.  I get a perfectly drawn border.